From 2c6fe8948e3b9ebac6949f1ba228759c4ad30966 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: May 22 2015 16:25:45 +0000
Subject: [PATCH 32/1001] Make widgets artificially slow for development.


---

diff --git a/hubs/app.py b/hubs/app.py
index 0c4d996..629b0ea 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -62,6 +62,13 @@ def get_widget(session, hub, idx):
 def widget_render(hub, idx):
     session = models.init(app.config['DB_URL'])
     widget = get_widget(session, hub, idx)
+
+    # Make this artificially slow for development...
+    import random, time
+    s = (random.random() * 3) + 1
+    print(widget.plugin, "sleeping artificially for", s)
+    time.sleep(s)
+
     return widget.render(flask.request, session)
 
 

